# Uses of Interface
org.jmol.api.JmolRendererInterface

Packages that use JmolRendererInterface
Package
Description
org.jmol.api
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.render
org.jmol.util
org.jmol.viewer

## Uses of JmolRendererInterface in org.jmol.api

Methods in org.jmol.api with parameters of type JmolRendererInterface
Modifier and Type
Method
Description
`void`
JmolRendererInterface.`renderBackground(JmolRendererInterface jre)`

## Uses of JmolRendererInterface in org.jmol.export

Classes in org.jmol.export that implement JmolRendererInterface
Modifier and Type
Class
Description
`class`
`Export3D`
Fields in org.jmol.export declared as JmolRendererInterface
Modifier and Type
Field
Description
`protected JmolRendererInterface`
___Exporter.`export3D`
Methods in org.jmol.export with parameters of type JmolRendererInterface
Modifier and Type
Method
Description
`void`
Export3D.`renderBackground(JmolRendererInterface me)`

## Uses of JmolRendererInterface in org.jmol.g3d

Classes in org.jmol.g3d that implement JmolRendererInterface
Modifier and Type
Class
Description
`final class`
`Graphics3D`
Provides high-level graphics primitives for 3D visualization for the software renderers.
Methods in org.jmol.g3d that return JmolRendererInterface
Modifier and Type
Method
Description
`JmolRendererInterface`
Graphics3D.`initializeExporter(Viewer vwr, double privateKey, GData g3d, Map<String,Object> params)`
Methods in org.jmol.g3d with parameters of type JmolRendererInterface
Modifier and Type
Method
Description
`void`
Graphics3D.`plotImage(int x, int y, int z, Object image, JmolRendererInterface jmolRenderer, short bgcolix, int imageWidth, int imageHeight)`
`void`
Graphics3D.`plotText(int x, int y, int z, int argb, int bgargb, String text, Font font3d, JmolRendererInterface jmolRenderer)`
`void`
Graphics3D.`renderBackground(JmolRendererInterface jmolRenderer)`
///////////////////////////////////////////////////////
`G3DRenderer`
CircleRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
G3DRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
HermiteRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
TriangleRenderer.`set(JmolRendererInterface g3d, GData gdata)`

## Uses of JmolRendererInterface in org.jmol.render

Fields in org.jmol.render declared as JmolRendererInterface
Modifier and Type
Field
Description
`JmolRendererInterface`
ShapeRenderer.`g3d`
could be vwr.gdata or an exporter
Methods in org.jmol.render with parameters of type JmolRendererInterface
Modifier and Type
Method
Description
`protected static void`
FontLineShapeRenderer.`drawDashedCylinder(JmolRendererInterface g3d, int xA, int yA, int zA, int xB, int yB, int zB, int[] array, int width, short colixA, short colixB, int renderD, boolean asLineOnly, P3i s1)`
`protected int`
FontLineShapeRenderer.`drawLine2(JmolRendererInterface g3d, int x1, int y1, int z1, int x2, int y2, int z2, int diameter)`
`protected static void`
FontLineShapeRenderer.`fillCylinder(JmolRendererInterface g3d, short colixA, short colixB, byte endcaps, int xA, int yA, int zA, int xB, int yB, int zB, int diameter, boolean asLineOnly)`
`boolean`
ShapeRenderer.`renderShape(JmolRendererInterface g3d, ModelSet modelSet, Shape shape, int flags)`
`void`
ShapeRenderer.`setup(JmolRendererInterface g3d, ModelSet modelSet, Shape shape)`

## Uses of JmolRendererInterface in org.jmol.util

Methods in org.jmol.util with parameters of type JmolRendererInterface
Modifier and Type
Method
Description
`void`
GData.`drawQuadrilateralBits(JmolRendererInterface jmolRenderer, short colix, P3 screenA, P3 screenB, P3 screenC, P3 screenD)`
`void`
GData.`drawTriangleBits(JmolRendererInterface renderer, P3 screenA, short colixA, P3 screenB, short colixB, P3 screenC, short colixC, int check)`
`void`
GData.`plotImage(int x, int y, int z, Object image, JmolRendererInterface jmolRenderer, short bgcolix, int width, int height)`
`void`
GData.`plotText(int x, int y, int z, int colorArgbOrGray, int bgColor, String text, Font font3d, JmolRendererInterface jmolRenderer)`
`void`
GData.`renderBackground(JmolRendererInterface jmolRenderer)`

## Uses of JmolRendererInterface in org.jmol.viewer

Methods in org.jmol.viewer that return JmolRendererInterface
Modifier and Type
Method
Description
`JmolRendererInterface`
Viewer.`initializeExporter(Map<String,Object> params)`